package com.redxun.knowledge.entity.dto;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.redxun.common.base.entity.BaseExtEntity;
import lombok.Getter;
import lombok.Setter;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotBlank;
import java.util.Date;
import java.util.List;

/**
 * 文件名: KnowledgeApproveDto
 * 作者: Zizg
 * 时间: 2022/12/7
 * 描述: 在审核详情时审核填入
 * 修改人:
 * 修改时间:
 * 修改内容:
 */
@Setter
@Getter
public class KnowledgeApproveDto {

    //主键(单个审核记录)
    private String pkId;
    //主键(多个审核记录)
    private List<String> pkIds;
    //审批结论;0-不通过 1-通过
    private Integer result;
    //实际审批人ID;可以是人员ID或者部门下内部人员ID
    private String actualApprover;
    //实际审批人名称;可以是人员名称或者部门下内部人员名称
    private String actualApproverName;
    //审批时间
    private Date approvalTime;
    //组织架构
    private String organizationId;
    //审批意见
    private String remark;

}
