package com.redxun.knowledge.map.mapper;


import com.baomidou.mybatisplus.core.metadata.IPage;
import com.redxun.common.base.db.BaseDao;
import com.redxun.knowledge.entity.dao.Banner;
import com.redxun.knowledge.map.entity.dao.Map;
import com.redxun.knowledge.map.entity.vo.MapVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
* 业务--知识地图表数据库访问层
*/
@Mapper
public interface MapMapper extends BaseDao<Map> {

    IPage findAllMap(IPage<Banner> page, @Param("params") java.util.Map<String, Object> params, @Param("order") java.util.Map<String, Object> order);

    MapVo selectData(String pkId);
}
